﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using SLaB.Navigation.ContentLoaders.Error;
using ScratchBusinessApplication.LoginUI;

namespace ScratchBusinessApplication.Views
{
    public partial class LoginPage : Page
    {
        public LoginPage()
        {
            InitializeComponent();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            WebContext.Current.Authentication.LoggedIn += Authentication_LoggedIn;
        }

        protected override void OnNavigatedFrom(NavigationEventArgs e)
        {
            WebContext.Current.Authentication.LoggedIn -= Authentication_LoggedIn;
        }

        void Authentication_LoggedIn(object sender, System.ServiceModel.DomainServices.Client.ApplicationServices.AuthenticationEventArgs e)
        {
            NavigationService.Refresh();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            LoginRegistrationWindow loginWindow = new LoginRegistrationWindow();
            loginWindow.Show();
        }

    }
}
